Welcome to RLSLC

Welcome to the ReLab Software Logic Controller

ReLab Software Logic Controller

ReLab Software Logic Controller effectively replaces microprocessor based PLC/IED controllers to overcome their functional limitations.

The RLSLC RTE (Run Time Engine) executes the logic similar to a traditional microprocessor based controller. By default the execution logic is described by VBScript language, though other scripting languages can be used as well.

RTE reads all input devices, executes the logic, and finally outputs calculated values into the output region. The entire cycle is based on user defined script execution scan-time (10ms to minutes).

The RLSLC utilizes OLE for Process Control (OPC™) as the standard mechanism of communication with numerous data sources.

With the complements of ReLab MODBUS Server (RLMOD) user can achieve direct control over hardware MODBUS I/O’s.

RLSLC supports the following Windows operating systems: Windows 2000, Windows XP or Windows 2003 Server.

In addition to RTE the product contains configuration editor. The editor is a client interface, which includes a sophisticated script editor and OPC items configuration tool.

· Supports virtually unlimited number of OPC Servers

· Exposes rich functionality

· Works with multi-vendor equipment

· Has extremely high performance

· Is robust and scalable

· Makes it easy to establish and maintain supervisory control over a large number of microprocessor-based devices

· Provides a perfect way for OEMs and system integrators to utilize standard tools to implement their systems

· Simplifies integration with your existing Business systems

Trademarks

ClearControlsâ is a registered mark of ReLab Software (2006 ClearControls®. All rights reserved.).

Microsoft, Intellution, Wonderware, RSView, Subnet, CoDeSys, Survalent, Kepware, Matrikon are trademarks of their respective corporations.


RLOPC Requirements

RLSLC Requirements

To run RLSLC, we recommend the following hardware and software:

Operating System (OS)

  • Windows® XP

  • Windows® Server 2003

  • Windows® 2000, SP2 or higher

  • Windows® Embedded XP

Hardware

  • CPU – 700MZ (minimum)

  • Memory – 256MB (minimum)

  • Storage – 50MB (minimum)

  • CD-ROM drive


RLOPC Compatibility Testing

RLSLC Compatibility Testing

The RLSLC compatibility testing was performed for the following OPC Servers:

  • Intellution

  • Wonderware

  • RSView

  • Subnet

  • CoDeSys

  • ReLab

  • Kepware

  • Matrikon


Installing RLSLC

1. Start the ReLab OPC Software Suite installation program.

The InstallShield Wizard Welcome appears.

2. On the Welcome screen, click Next.

The InstallShield Wizard License Agreement screen appears.

3. On the License Agreement screen, read the ReLab Software License Agreement. If you agree to the terms of the agreement, select I accept the terms in the license agreement and click Next. If you do not accept the terms, click Cancel.

The InstallShield Wizard Customer Information screen appears.

4. On the Customer Information screen, type your User Name and Organization in the fields provided. Select which user(s) this application should be installed for, and click Next.

The InstallShield Wizard Setup Type screen appears.

5. Select Setup Type, then click Next.

The InstallShield Wizard Custom Setup screen appears.

6. On the Custom Setup screen select application you whish to install and click Next.

The Ready to install the Program screen appears.

7. Click Install.

Installation begins, after installation completion the InstallShield Wizard Completed screen appears.

8. Click Finish.


Getting Help

Opening a Help File

  1. Click RLOPC Console

The ReLab OPC Console appears.

  2. On the Help menu of the ReLab OPC Console, click Contents

The Help file list appears

  3. On the Help file list, double-click a file name to view the associated Help file

Viewing File Information

  1. Open the Help file list

  2. Click [image] to open the Info screen

  3. On the Info screen, click [image] to print file information

  4. When done, click


Step-By-Step Configuration

The following steps required to configure and use the ReLab Software Logic Controller.

  • Starting ReLab Software Logic Controller (RLSLC)

  • Creating OPC Tags (Items) Configuration

  • Writing a Script

  • Saving Configuration & Script

  • Deploying Configuration & Script to Run Time Engine (RTE)

  • Changing Advanced Settings

  • RLSLC Menu Content


Starting RLSLC

Starting ReLab Software Logic Controller (RLSLC)

Starting ReLab Software Logic Controller (RLSLC) Editor

  1. On the Windows taskbar, click the Start command.

  2. Select Programs, ReLab Software, ReLab OPC Product Suite, and then click Software Logic Controller Editor.

The ReLab Software Logic Controller Editor (RLSLC Editor) appears.


Tags Configuration

OPC Tags (Item) Configuration

Tags Configuration Screen

Follow these steps to configure OPC Items.

§ Selecting OPC Server(s)

§ Mapping Tags (Items)

§ Changing the Tag (Item) Property

§ Changing Properties of Multiple Tags (Items)

§ Deleting Tag(s)

Selecting OPC Server(s)

1. Click on "LocalHost" or on network icon to expand a list of available OPC Servers ("OPC Browser")

2. Click on selected OPC server to expand a list of available OPC groups

3. The available OPC Tags (Items) will appear in "OPC Server Tags (Items)" dialog window

Mapping Tags (Items)

1. To map items to select the tag(s) and right click the selection

2. The dialog window will appear

3. Select "Add Selected Items to the Configuration"

4. Right click on your tag selection to display the popup menu "Add Selected Item(s) to the Configuration"

5. The items will appear in "Mapped OPC Tags (Items)" window

Back to top

Changing the Tag (Item) Property

By default, mapped Tag matches default OPC Server name and property. To change the Name or Property, follow these steps:

1. Select a tag (item) which requires a change

2. Right click on selected tag. The "Change Property of Selected Item ..." will appear

3. Select "Change Property of Selected Item..." the "Set Item Property" dialog will appear

5. Now You can change the tag (item) property

· Tag (Item) Name

· Tag (Item) Description

· Scaling (the "Allow Scale" checkbox must be checked to allow scaling and clamping)

· Deadband

· Precision

· OPC "Update rate"

Back to top

Changing Properties of Multiple Tags (Items)

By default, mapped Tags (Items) matches default OPC Server names and properties. To change the Names or Properties, follow these steps:

1. Select a tags (items) which requires a change

2. Right click on selected tags. The "Change Property of Selected Items ..." will appear

3. Select "Change Property of Selected Item..." the "Set Item Properties" dialog will appear

5. Now You can change the tags (items) property

WARNING The Tags (Items) names must be unique.

· Tag (Item) Description

· Scaling (the "Allow Scale" checkbox must be checked to allow scaling and clamping)

· Deadband

· Precision

· OPC "Update rate"

Deleting Tag(s)

1. Select a tag or tags which you would like to delete

2. Right click on selected tags. The "Delete Selected Item from the Configuration" or "Delete Selected Items from the Configuration" will appear

3. Select on "Delete Selected Item from the Configuration" or "Delete Selected Items from the Configuration" to delete the Tags (Items) from existing configuration

WARNING Make sure that your script doesn't refer to deleted tags(items).

Back to top


Writing RLSLC Script

RLSLC RTE (Run Time Engine) uses a standard scripting language interface (VBScript) to execute user created logic.

The internal RLSLC object "Item_Update" executes VBScript based on user defined intervals.

The "Item_Update" event exposes two parameters:

· "Count" - Number of items which received data change event

· "Handle" - Item index which received data change event

Writing Script

1. Select "Item" object from "Object Selection"

2. Select "Update" from "Event Selection"

The following text will appear in " Scripting Workspace" window

Sub Item_Update( count, handle )

' Write your code here

End Sub

3. Now you are ready to write your code.

VBSCRIPT.CHM manual will help you explore the many different parts of the Visual Basic Scripting language.

Back to top

Scripting Editor Content Menu

Right click will bring up the scripting editor context menu:

Objects | Inserts external objects
Cut | Text “Cut”
Copy | Text “Copy”
Paste | Text “Paste”
Object View | Changes the object view
Find | Finds a text
Replace | Replaces a text

Back to top


Deploying Configuration & Script to Run Time Engine (RTE)

Deploy to has three options. You can deploy only configuration or script or both script and configuration.

Deployment can be done on-line.

  1. Select "Tools" on main menu

  2. Select "Deploy to RTE"

  3. Select one of the three options "Configuration Only", "Script only" or "Configuration and Script"


Saving Configuration and Script

Saving Configuration & Script

Contents of this section

§ Save

§ Save Configuration As ...

§ Save Script As ...

Save

Save has three options. You can save only configuration or script or save both script and configuration.

1. Select "File" on main menu

2. Select "Save"

3. Select one of the three options "Configuration", "Script" or "Configuration and Script"

Back to top

Save Configuration As ...

To save configuration under deferent name by selecting "Save Configuration As ..." from "File" menu.

Back to top

Save Script As ...

To script configuration under deferent name by selecting "Save Script As ..." from "File" menu.

Back to top


Changing Advanced Settings

  1. Select "Tools" menu

  2. Select "RTE Options ..."

  3. The "ReLab SLC Run Time Engine Options" will appear

Log Files Tab

Here you can specify the log files:

Enable Logging | Enables logging
Path to log file(s) | Specifies path location of the log file(s)
When file size exceeds | Specifies that the new log file will be created when current file exceeds the specified size
Schedule | Specifies schedule based logging
Maximum number of log files | Specifies maximum number of log files to be created before overwrite
Verbosity | Specifies verbosity (0-9)

Other Tab

If "Start Run Time Engine as NT service" checkbox is checked the RTE will start as NT service.

"Run Time Engine update rate" (in milliseconds) can be changed to increase or decrease RTE script execution frequency.


RLSLC Menu Content

File |  |  |
 | New | Configuration | Creates new configuration
 |  | Script | Creates new script
 |  | Configuration and Script | Creates new configuration and script
 | Load |  | Loads the existing configuration
 | Open Configuration |  | Opens the existing configuration for modification
 | Open Script |  | Opens the existing script for modification
 | Save | Configuration | Saves current configuration
 |  | Script | Saves current script
 |  | Configuration and Script |
 | Save Configuration As … |  |
 | Save Script As … |  |
 | Exit |  |
View |  |  |
 | Status Bar |  | Enables or disables the status bar
Tools |  |  |
 | Deploy to RTE | Configuration only | Deploys configuration only to RTE
 |  | Script only | Deploys script only to RTE
 |  | Configuration and Script | Deploys configuration and script to RTE
 | Replace Item Name(s) with ID(s) |  | Replaces item names with item ID’s in scripting
 | Replace ID(s) with Item Name(s) |  | Replaces item ID’s with item names in scripting
 | Verify Script Syntax |  | Verifies scripting syntax before deployment
 | Suspend RTE |  | Suspends RTE (disables RTE processing)
 | Resume RTE |  | Resumes RTE (enables RTE processing)
Help |  |  |
 | Contents |  | Opens help interface
 | About ReLab SLC Editor … |  | Displays information about SLC editor